# Settle for full amount

To receive all the funds from the customer, send us a settle request.

Endpoint: POST /payments/settlements/{linkData}
Version: 7
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)
    Action link that's received in your request.

## Header parameters:

  - `Content-Type` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

## Request fields (application/vnd.worldpay.payments-v7+json):

  - `reference` (string)
    A reference generated by you to identify a payment throughout its lifecycle.
    Example: "full-settle-reference"

  - `value` (object)
    An object that contains information about the value of the payment.

  - `value.surchargeAmount` (integer)
    The charging amount representing processing and service fees. Ensure that the surchargeAmount complies with local regulations and card network rules before applying. {% admonition type="info" name="Note" %} The surcharge fee is included in the total transaction amount, e.g. if the value.surchargeAmount is $20 and the total authorization amount was $100, then the actual cost of goods/services is 80. {% /admonition %}

  - `merchant` (object)
    Contains information about the merchant.

  - `merchant.taxReference` (string)
    Merchant's tax reference.

  - `customer` (object)
    Additional customer data.

  - `customer.reference` (string)
    Merchant-generated customer reference.

  - `shipping` (object)
    An object containing shipping details.

  - `shipping.sender` (object)

  - `shipping.sender.address` (object)
    An object containing sender's (shipped from) address.

  - `shipping.sender.address.postalCode` (string)

  - `shipping.recipient` (object)

  - `shipping.recipient.address` (object)
    An object containing recipient's shipping address.

  - `shipping.recipient.address.countryCode` (string)

  - `shipping.recipient.address.postalCode` (string)

  - `order` (object)
    An object containing details about the order.

  - `order.taxExempt` (boolean)
    A flag to indicate whether the purchase is exempt from tax. Must be set to true if order.salesTax is 0.

  - `order.orderDate` (object)
    Date of the order.

  - `order.orderDate.day` (integer, required)

  - `order.orderDate.month` (integer, required)

  - `order.orderDate.year` (integer, required)

  - `order.items` (array)
    Array of order items. You can send up to 99 individual order objects within this array.

  - `order.items.commodityCode` (string)
    Commodity code as defined by the National Institute of Governmental Purchasing.

  - `order.items.totalTaxAmount` (integer)
    Total tax amount for the item(s).

  - `order.items.unitCost` (integer)
    The price of one unit of the item purchased.

  - `order.items.totalAmount` (integer)
    Total cost of the item(s) including tax.

  - `order.items.totalAmountNoTax` (integer)
    Total cost of the item(s) excluding tax.

  - `order.items.unitOfMeasure` (string)
    The unit of measure of the purchased item. Explains how to interpret items.quantity field, e.g. quantity = 15, unitOfMeasure = kg.

  - `order.items.name` (string, required)
    Name of the item(s).

  - `order.items.quantity` (integer)
    Number of items purchased.

  - `order.items.productCode` (string)
    Merchant defined product code.

  - `order.items.totalDiscountAmount` (integer)
    Total discount amount for the item(s).

  - `order.dutyAmount` (integer)
    Total amount of duty costs for the order.

  - `order.salesTax` (integer)
    Total amount of sales tax for the order. Must be provided if merchant.taxReference is supplied.

  - `order.shippingAmount` (integer)
    Total amount of shipping costs for the order.

  - `order.invoiceReference` (string)
    Invoice reference for the order.

  - `order.discountAmount` (integer)
    Total amount of discounts for the order.

  - `industryData` (object)
    An object containing industry specific order data.

  - `industryData.type` (string, required)
    Enum: "airline"

  - `industryData.airlineName` (string, required)
    The name of the airline (displayed as it would be on a bill).
    Example: "Cobb Air"

  - `industryData.ticket` (object, required)
    An object containing ticket details.

  - `industryData.ticket.number` (string, required)
    The ticket number.
    Example: "123"

  - `industryData.ticket.issuerAddress` (object, required)
    An object containing the ticket issuer's address.

  - `industryData.ticket.issuerAddress.address1` (string, required)

  - `industryData.ticket.issuerAddress.city` (string, required)

  - `industryData.ticket.issuerAddress.countryCode` (string, required)

  - `industryData.ticket.issuerAddress.postalCode` (string, required)

  - `industryData.ticket.flightDetails` (array)
    An array with objects containing flight details. Each object represents one leg of a flight and you can submit up to four flight legs within this array.

  - `industryData.ticket.flightDetails.fareClassCode` (string, required)
    The code used by airlines to identity a fare type.

  - `industryData.ticket.flightDetails.departureAirport` (string, required)
    The three letter IATA Airport Code for the departure airport.
    Example: "LHR"

  - `industryData.ticket.flightDetails.arrivalAirport` (string, required)
    The three letter IATA Airport Code for the destination airport.
    Example: "SYD"

  - `industryData.ticket.flightDetails.carrierCode` (string, required)
    Same as industryData.airlineCode, the code represents the airline for the specific flight leg.
    Example: "M1"

  - `industryData.ticket.flightDetails.fareBasisCode` (string)
    An optional extension to the fareClassCode for custom codes.
    Example: "TMYA"

  - `industryData.ticket.flightDetails.flightCode` (string, required)
    The flight code.
    Example: "501"

  - `industryData.ticket.flightDetails.departureDate` (object, required)
    An object containing the date of the departure.

  - `industryData.ticket.flightDetails.departureDate.day` (integer, required)

  - `industryData.ticket.flightDetails.departureDate.month` (integer, required)

  - `industryData.ticket.flightDetails.departureDate.year` (integer, required)

  - `industryData.ticket.flightDetails.stopOver` (boolean)
    Set to true if this flight leg is a stopover, connecting different destinations.

  - `industryData.ticket.flightDetails.taxAmount` (integer, required)
    The tax amount for this specific flight leg.
    Example: 3500

  - `industryData.ticket.restricted` (boolean, required)
    Typically, restricted airfares require approval and e-ticket processing within 24 hours of making the reservation, are not transferable if cancelled, and can have specific requirements on when or whether a cancelled ticket can be rebooked. You must define if the ticket is restricted, but this does not affect the payment flows.

  - `industryData.ticket.issueDate` (object)
    An object containing the ticket's issue date.

  - `industryData.ticket.issueDate.day` (integer, required)

  - `industryData.ticket.issueDate.month` (integer, required)

  - `industryData.ticket.issueDate.year` (integer, required)

  - `industryData.agentName` (string)
    The name of the travel agent.
    Example: "J Small & Co"

  - `industryData.agentCode` (string, required)
    The IATA travel agency code.
    Example: "12345678"

  - `industryData.invoiceReference` (string)
    Billing Settlement Plan invoice reference.

  - `industryData.airlineCode` (string, required)
    The two character IATA airline code.
    Example: "CA"

  - `industryData.passenger` (object, required)
    An object containing passenger details.

  - `industryData.passenger.code` (string, required)

  - `industryData.passenger.firstName` (string, required)

  - `industryData.passenger.lastName` (string, required)

## Response 202 fields (application/vnd.worldpay.payments-v7+json):

  - `paymentId` (string)
    Unique identifier generated by us for a single payment. Generated at authorization, and maintained through successive payment actions.
    Example: "payI-dUcet9fk4_X4qZU0hpU0"

  - `commandId` (string)
    Unique identifier generated by us for a single instance of an interaction (command) with the Worldpay API.
    Example: "cmdRvD-OxCyXgJLQ9_jbqXAC0"

  - `_links` (object)

  - `_links.cardPayments:refund` (object)
    An action link to refund the full settled amount.

  - `_links.cardPayments:refund.href` (string)
    An action link to refund the full settled amount.
    Example: "https://try.access.worldpay-bsh.securedataplatform.com/payments/settlements/refunds/full/{linkData}"

  - `_links.cardPayments:partialRefund` (object)
    An action link to refund a portion of the settled amount.

  - `_links.cardPayments:partialRefund.href` (string)
    An action link to refund a portion of the settled amount.
    Example: "https://try.access.worldpay-bsh.securedataplatform.com/payments/settlements/refunds/partials/{linkData}"

  - `_links.cardPayments:reverse` (object)
    An action link to cancel or refund the full amount.

  - `_links.cardPayments:reverse.href` (string)
    An action link to cancel or refund the full amount.
    Example: "https://try.access.worldpay-bsh.securedataplatform.com/payments/sales/reversals/{linkData}"

  - `_links.cardPayments:events` (object)
    An action link to retrieve the last event of the payment.

  - `_links.cardPayments:events.href` (string)
    An action link to retrieve the last event of the payment.
    Example: "https://try.access.worldpay-bsh.securedataplatform.com/payments/events/{linkData}"

## Response 400 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)
    Further error details

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.jsonPath` (string)

## Response 401 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 404 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 415 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 500 fields (aapplication/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)


